// Generated by gencpp from file kombos_server/kalmanState.msg
// DO NOT EDIT!


#ifndef KOMBOS_SERVER_MESSAGE_KALMANSTATE_H
#define KOMBOS_SERVER_MESSAGE_KALMANSTATE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace kombos_server
{
template <class ContainerAllocator>
struct kalmanState_
{
  typedef kalmanState_<ContainerAllocator> Type;

  kalmanState_()
    : name()
    , value()  {
    }
  kalmanState_(const ContainerAllocator& _alloc)
    : name(_alloc)
    , value(_alloc)  {
  (void)_alloc;
    }



   typedef std::vector<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > , typename ContainerAllocator::template rebind<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::other >  _name_type;
  _name_type name;

   typedef std::vector<float, typename ContainerAllocator::template rebind<float>::other >  _value_type;
  _value_type value;





  typedef boost::shared_ptr< ::kombos_server::kalmanState_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::kombos_server::kalmanState_<ContainerAllocator> const> ConstPtr;

}; // struct kalmanState_

typedef ::kombos_server::kalmanState_<std::allocator<void> > kalmanState;

typedef boost::shared_ptr< ::kombos_server::kalmanState > kalmanStatePtr;
typedef boost::shared_ptr< ::kombos_server::kalmanState const> kalmanStateConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::kombos_server::kalmanState_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::kombos_server::kalmanState_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::kombos_server::kalmanState_<ContainerAllocator1> & lhs, const ::kombos_server::kalmanState_<ContainerAllocator2> & rhs)
{
  return lhs.name == rhs.name &&
    lhs.value == rhs.value;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::kombos_server::kalmanState_<ContainerAllocator1> & lhs, const ::kombos_server::kalmanState_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace kombos_server

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::kalmanState_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::kalmanState_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::kalmanState_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::kalmanState_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::kalmanState_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::kalmanState_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::kombos_server::kalmanState_<ContainerAllocator> >
{
  static const char* value()
  {
    return "bba10c1f9b54c4a91b40e94b102c2543";
  }

  static const char* value(const ::kombos_server::kalmanState_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xbba10c1f9b54c4a9ULL;
  static const uint64_t static_value2 = 0x1b40e94b102c2543ULL;
};

template<class ContainerAllocator>
struct DataType< ::kombos_server::kalmanState_<ContainerAllocator> >
{
  static const char* value()
  {
    return "kombos_server/kalmanState";
  }

  static const char* value(const ::kombos_server::kalmanState_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::kombos_server::kalmanState_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string[] name\n"
"float32[] value\n"
;
  }

  static const char* value(const ::kombos_server::kalmanState_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::kombos_server::kalmanState_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.name);
      stream.next(m.value);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct kalmanState_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::kombos_server::kalmanState_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::kombos_server::kalmanState_<ContainerAllocator>& v)
  {
    s << indent << "name[]" << std::endl;
    for (size_t i = 0; i < v.name.size(); ++i)
    {
      s << indent << "  name[" << i << "]: ";
      Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.name[i]);
    }
    s << indent << "value[]" << std::endl;
    for (size_t i = 0; i < v.value.size(); ++i)
    {
      s << indent << "  value[" << i << "]: ";
      Printer<float>::stream(s, indent + "  ", v.value[i]);
    }
  }
};

} // namespace message_operations
} // namespace ros

#endif // KOMBOS_SERVER_MESSAGE_KALMANSTATE_H
